Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77290 - no APM power-off if APM is compiled as a module
Summary: no APM power-off if APM is compiled as a module
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: apmd
Version: 8.0
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-04 18:25 UTC by David Monniaux
Modified: 2015-01-08 00:01 UTC (History)
3 users (show)

Fixed In Version: 3.0.2-19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-05-19 20:47:47 UTC


Attachments (Terms of Use)

Description David Monniaux 2002-11-04 18:25:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
If APM is compiled as a module, /etc/rc.d/init.d/apm stop will unload it. This
disables APM power-off.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Compile and install a kernel with APM as a module.
2.In modules.conf: options apm power_off=1
3.Reboot
4.shutdown -h now	

Actual Results:  The system does not power-off.

Expected Results:  The system should have powered off.


Additional info:

The line /sbin/modprobe -r apm in /etc/rc.d/init.d/apmd causes the problem. It's
useless and should be removed, which fixes the problem.

Comment 1 Bill Nottingham 2003-05-19 20:47:47 UTC
Done in 3.0.2-19.


Note You need to log in before you can comment on or make changes to this bug.